#!/bin/bash
#rd_fuxiong_pan
#设置初始参数,最好全部用引号包含,避免出现特殊字符串导致的断片
#脚本只要发生错误，就终止执行
set -e
#在运行结果之前，先输出执行的那一行命令
#set -x
jetty_threads=1000
jetty_ContentSize=20000000
jettyport=8080
jettywebpath="../webapp"
jettycontext="ierp"
#如果存在环境jmxport，则使用环境变量值
if [ $JETTY_MAXTHREADS ]; then
    jetty_threads=$JETTY_MAXTHREADS
fi
#如果存在环境jmxhttpport，则使用环境变量值
if [ $JETTY_MAX_CONTENTSIZE ]; then
    jetty_ContentSize=$JETTY_MAX_CONTENTSIZE
fi
if [ $JETTY_PORT ]; then
    jettyport=$JETTY_PORT
fi
if [ $JETTY_WEBAPP_PATH ]; then
    jettywebpath=$JETTY_WEBAPP_PATH
fi
if [ $JETTY_CONTEXT ]; then
    jettycontext=$JETTY_CONTEXT
fi
export WEB_OPTS="-DJETTY_PORT=$jettyport -DJETTY_WEBAPP_PATH=$jettywebpath -DJETTY_CONTEXT=$jettycontext  -DJETTY_MAXTHREADS=$jetty_threads -Dorg.eclipse.jetty.server.Request.maxFormContentSize=$jetty_ContentSize "